import { baseRequest } from '@/utils/request'

const request = (url, ...arg) => baseRequest(`/biz/bizappointreplace/` + url, ...arg)

/**
 * 沙石预约调度Api接口管理器
 *
 * @author fanzherong
 * @date  2025/07/11 14:22
 **/
export default {
	// 获取沙石预约调度分页
	bizAppointReplacePage(data) {
		return request('page', data, 'get')
	},
	// 提交沙石预约调度表单 edit为true时为编辑，默认为新增
	bizAppointReplaceSubmitForm(data, edit = false) {
		return request(edit ? 'edit' : 'add', data)
	},
	// 删除沙石预约调度
	bizAppointReplaceDelete(data) {
		return request('delete', data)
	},
	// 获取沙石预约调度详情
	bizAppointReplaceDetail(data) {
		return request('detail', data, 'get')
	},
	//调度审批
	bizAppointAudit(data){
		return request('audit',data)
	}
}
