import { baseRequest } from '@/utils/request'

const request = (url, ...arg) => baseRequest(`/biz/bizappointmentrecord/` + url, ...arg)

/**
 * 预约记录Api接口管理器
 *
 * @author fanzherong
 * @date  2025/03/24 14:47
 **/
export default {
	// 获取预约记录分页
	bizAppointmentRecordPage(data) {
		return request('page', data, 'get')
	},
	//获取起卸预约列表
	bizAppointmentLoadRecordPage(data) {
		return request('getLoadPage', data, 'get')
	},
	//获取管桩预约列表
	bizAppointmentPipeRecordPage(data) {
		return request('getPipePage', data, 'get')
	},
	// 提交预约记录表单 edit为true时为编辑，默认为新增
	bizAppointmentRecordSubmitForm(data, edit = false) {
		return request(edit ? 'edit' : 'add', data)
	},
	//临时预约
	bizAppointmentTempSubmitForm(data, edit = false) {
		return request(edit ? 'editTemp' : 'addTemp', data)
	},
	//起卸预约
	bizAppointmentLoadSubmitForm(data, edit = false) {
		return request(edit ? 'editLoad' : 'addLoad', data)
	},
	//管桩预约
	bizAppointmentPipeSubmitForm(data,edit = false){
		return request(edit ? 'editPipeAppoint' : 'addPipeAppoint', data)
	},
	// 删除预约记录
	bizAppointmentRecordDelete(data) {
		return request('delete', data)
	},
	//取消预约记录
	bizAppointmentCancel(data){
		return request('cancel',data)
	},
	//授权出场
	bizAppointmentExit(data){
		return request('exit',data)
	},
	//临时预约授权出场
	bizAppointmentExitTemp(data){
		return request('exitTemp',data)
	},
	// 获取预约记录详情
	bizAppointmentRecordDetail(data) {
		return request('detail', data, 'get')
	},
	//审核
	auditRecord(data){
		return request('auditRecord',data)
	},
	//审核临时预约
	auditTemp(data){
		return request('auditTemp',data)
	},
	//导出
	exportRecord(data){
		return request('exportRecord', data, 'get', {
			responseType: 'blob'
		})
	},
	//导出起卸预约
	exportLoadRecord(data){
		return request('exportLoadRecord', data, 'get', {
			responseType: 'blob'
		})
	},
	//导出管桩预约
	exportPipeRecord(data){
		return request('exportPipeRecord', data, 'get', {
			responseType: 'blob'
		})
	},
	//取消排队
	cancelAppointmentRecord(data){
		return request('cancelAppointmentRecord',data)
	},
	//取消管桩预约
	replacePipeAppoint(data){
		return request('replacePipeAppoint',data)
	},
	//调整订单
	adjustOrder(data){
		return request('adjustOrder',data)
	},
	//车辆执行状态分析
	gerVehicleTotal(data){
		return request('gerVehicleTotal',data,'get')
	},
	//司机取消
	cloudCancel(data){
		return request('cloudCancel',data)
	},
	//管桩预约完成装货
	completePipeAppoint(data){
		return request('completePipeAppoint',data)
	},
	//管桩预约强制结束
	endPipeAppoint(data){
		return request('endPipeAppoint',data)
	},
	//起卸预约强制结束
	endLoadAppoint(data){
		return request('endLoadAppoint',data)
	},
	//司机调度订单
	replaceAppoint(data){
		return request('replaceAppoint',data)
	}
}
