import { baseRequest } from '@/utils/request'

const request = (url, ...arg) => baseRequest(`/biz/bizauditlog/` + url, ...arg)

/**
 * 审核记录表Api接口管理器
 *
 * @author fanzherong
 * @date  2025/06/16 14:57
 **/
export default {
	// 获取审核记录表分页
	bizAuditLogPage(data) {
		return request('page', data, 'get')
	},
	// 提交审核记录表表单 edit为true时为编辑，默认为新增
	bizAuditLogSubmitForm(data, edit = false) {
		return request(edit ? 'edit' : 'add', data)
	},
	// 删除审核记录表
	bizAuditLogDelete(data) {
		return request('delete', data)
	},
	// 获取审核记录表详情
	bizAuditLogDetail(data) {
		return request('detail', data, 'get')
	},
	//获取审核记录列表
	getList(data){
		return request('getList',data,'get')
	}
}
