import { baseRequest } from '@/utils/request'

const request = (url, ...arg) => baseRequest(`/biz/bizchargestation/` + url, ...arg)

/**
 * 充电桩配置表Api接口管理器
 *
 * @author 河南优纳特传动科技有限公司
 * @date  2025/07/04 08:47
 **/
export default {
	// 获取充电桩配置表分页
	bizChargeStationPage(data) {
		return request('page', data, 'get')
	},
	// 提交充电桩配置表表单 edit为true时为编辑，默认为新增
	bizChargeStationSubmitForm(data, edit = false) {
		return request(edit ? 'edit' : 'add', data)
	},
	// 删除充电桩配置表
	bizChargeStationDelete(data) {
		return request('delete', data)
	},
	// 获取充电桩配置表详情
	bizChargeStationDetail(data) {
		return request('detail', data, 'get')
	}
}
