import { baseRequest } from '@/utils/request'

const request = (url, ...arg) => baseRequest(`/biz/bizchargestationreservation/` + url, ...arg)

/**
 * 预约记录Api接口管理器
 *
 * @author fanzherong
 * @date  2025/03/24 14:47
 **/
export default {
	// 获取预约记录分页
	bizChargeStationReservationPage(data) {
		return request('page', data, 'get')
	},
	// 其他预约表单提交
	bizChargeStationReservationSubmitForm(data, edit = false) {
		return request(edit ? 'editChargeStationReservation' : 'addChargeStationReservation', data)
	},
	// 删除其他预约记录
	bizChargeStationReservationDelete(data) {
		return request('deleteChargeStationReservation', data)
	},
	//强制结束
	bizChargeStationReservationExit(data){
		return request('bizChargeStationReservationExit',data)
	},

	// 获取预约记录详情
	bizAppointmentRecordDetail(data) {
		return request('detail', data, 'get')
	},

	//导出
	bizChargeStationReservationExport(data){
		return request('bizChargeStationReservationExport', data, 'get', {
			responseType: 'blob'
		})
	},
	//强制结束
	bizChargeStationEnd(data){
		return request('bizChargeStationEnd',data)
	}
}
