import { baseRequest } from '@/utils/request'

const request = (url, ...arg) => baseRequest(`/biz/bizloadappoint/` + url, ...arg)

/**
 * 起卸预约Api接口管理器
 *
 * @author fanzherong
 * @date  2025/06/25 14:51
 **/
export default {
	// 获取起卸预约分页
	bizLoadAppointPage(data) {
		return request('page', data, 'get')
	},
	// 提交起卸预约表单 edit为true时为编辑，默认为新增
	bizLoadAppointSubmitForm(data, edit = false) {
		return request(edit ? 'edit' : 'add', data)
	},
	// 删除起卸预约
	bizLoadAppointDelete(data) {
		return request('delete', data)
	},
	// 获取起卸预约详情
	bizLoadAppointDetail(data) {
		return request('detail', data, 'get')
	},
	//提交起卸预约
	submit(data){
		return request('submit',data)
	},
	//客户签名
	updateCustomerSign(data){
		return request('updateCustomerSign',data)
	},
	//客户结束签名
	endCustomerSign(data){
		return request('endCustomerSign',data)
	},
	//导出
	exportRecord(data){
		return request('exportRecord', data, 'get', {
			responseType: 'blob'
		})
	},
	//获取待报港的起卸预约列表
	getList(data){
		return request('getList',data,'get')
	},
	// 结束起卸订单
	endLoad(data){
		return request('endLoad',data)
	},
	//客户驳回
	rejectOrder(data){
		return request('rejectOrder',data)
	},
	// 填报起卸订单
	fillLoad(data){
		return request('fillLoad',data)
	},
	//修改预约次数
	updateAppointNumber(data){
		return request('updateAppointNumber',data)
	},
	sendConfirmLoad(data){
		return request('sendConfirmLoad',data)
	}
}
