import { baseRequest } from '@/utils/request'

const request = (url, ...arg) => baseRequest(`/biz/bizloadappointsupplier/` + url, ...arg)

/**
 * 起卸汽运供应商Api接口管理器
 *
 * @author fanzherong
 * @date  2025/06/25 16:25
 **/
export default {
	// 获取起卸汽运供应商分页
	bizLoadAppointSupplierPage(data) {
		return request('page', data, 'get')
	},
	// 提交起卸汽运供应商表单 edit为true时为编辑，默认为新增
	bizLoadAppointSupplierSubmitForm(data, edit = false) {
		return request(edit ? 'edit' : 'add', data)
	},
	// 删除起卸汽运供应商
	bizLoadAppointSupplierDelete(data) {
		return request('delete', data)
	},
	// 获取起卸汽运供应商详情
	bizLoadAppointSupplierDetail(data) {
		return request('detail', data, 'get')
	},
	// 获取起卸汽运供应商列表
	getList(data){
		return request('getList',data,'get')
	}
}
