import { baseRequest } from '@/utils/request'

const request = (url, ...arg) => baseRequest(`/biz/bizloadarrive/` + url, ...arg)

/**
 * 报港预约Api接口管理器
 *
 * @author fanzherong
 * @date  2025/06/26 14:12
 **/
export default {
	// 获取报港预约分页
	bizLoadArrivePage(data) {
		return request('page', data, 'get')
	},
	// 提交报港预约表单 edit为true时为编辑，默认为新增
	bizLoadArriveSubmitForm(data, edit = false) {
		return request(edit ? 'edit' : 'add', data)
	},
	// 删除报港预约
	bizLoadArriveDelete(data) {
		return request('delete', data)
	},
	// 获取报港预约详情
	bizLoadArriveDetail(data) {
		return request('detail', data, 'get')
	},
	//审核
	auditArrive(data){
		return request('auditArrive',data)
	},
	//导出
	exportRecord(data){
		return request('exportRecord', data, 'get', {
			responseType: 'blob'
		})
	},
	//船主确认
	arriveConfirm(data){
		return request('arriveConfirm',data)
	},
	//船主确认
	arriveSign(data){
		return request('arriveSign',data)
	}
}
