import { baseRequest } from '@/utils/request'

const request = (url, ...arg) => baseRequest(`/biz/bizloaddispatch/` + url, ...arg)

/**
 * 起卸预约分配Api接口管理器
 *
 * @author fanzherong
 * @date  2025/07/01 09:47
 **/
export default {
	// 获取起卸预约分配分页
	bizLoadDispatchPage(data) {
		return request('page', data, 'get')
	},
	// 提交起卸预约分配表单 edit为true时为编辑，默认为新增
	bizLoadDispatchSubmitForm(data, edit = false) {
		return request(edit ? 'edit' : 'add', data)
	},
	// 提交起卸预约分配表单 edit为true时为编辑，默认为新增
	bizLoadDispatchSubmitDispatch(data, edit = false) {
		return request(edit ? 'edit' : 'addDispatch', data)
	},
	// 提交起卸预约分配表单 edit为true时为编辑，默认为新增
	bizLoadDispatchSubmitLoad(data, edit = false) {
		return request(edit ? 'edit' : 'addLoad', data)
	},
	// 删除起卸预约分配
	bizLoadDispatchDelete(data) {
		return request('delete', data)
	},
	//删除装货分配
	deleteDispatch(data){
		return request('deleteDispatch',data)
	},
	// 获取起卸预约分配详情
	bizLoadDispatchDetail(data) {
		return request('detail', data, 'get')
	},
	// 获取起卸预约分配列表
	getPageList(data){
		return request('getPageList',data,'get')
	},
	//获取装卸点位列表
	getList(data){
		return request('getList',data,'get')
	},
	//获取装卸时间列表
	getListTime(data){
		return request('getListTime',data,'get')
	},
	//起卸分配替换
	replaceLoad(data){
		return request('replaceLoad',data)
	},
	//装卸分配替换
	replaceDispatch(data){
		return request('replaceDispatch',data)
	}
}
