import { baseRequest } from '@/utils/request'

const request = (url, ...arg) => baseRequest(`/biz/bizloadtime/` + url, ...arg)

/**
 * 装货时间配置Api接口管理器
 *
 * @author fanzherong
 * @date  2025/05/29 14:55
 **/
export default {
	// 获取装货时间配置分页
	bizLoadTimePage(data) {
		return request('page', data, 'get')
	},
	// 提交装货时间配置表单 edit为true时为编辑，默认为新增
	bizLoadTimeSubmitForm(data, edit = false) {
		return request(edit ? 'edit' : 'add', data)
	},
	// 删除装货时间配置
	bizLoadTimeDelete(data) {
		return request('delete', data)
	},
	// 获取装货时间配置详情
	bizLoadTimeDetail(data) {
		return request('detail', data, 'get')
	},
	// 获取装卸点位时间
	search(data){
		return request('search',data,'get')
	},
	// 获取装卸点位时间
	searchNow(data){
		return request('searchNow',data,'get')
	}
}
