import { baseRequest } from '@/utils/request'

const request = (url, ...arg) => baseRequest(`/biz/bizorderload/` + url, ...arg)

/**
 * 订单装卸点位Api接口管理器
 *
 * @author fanzherong
 * @date  2025/05/30 14:05
 **/
export default {
	// 获取订单装卸点位分页
	bizOrderLoadPage(data) {
		return request('page', data, 'get')
	},
	// 提交订单装卸点位表单 edit为true时为编辑，默认为新增
	bizOrderLoadSubmitForm(data, edit = false) {
		return request(edit ? 'edit' : 'add', data)
	},
	// 更换装卸点位
	bizOrderReplace(data){
		return request('replace',data)
	},
	// 删除订单装卸点位
	bizOrderLoadDelete(data) {
		return request('delete', data)
	},
	// 获取订单装卸点位详情
	bizOrderLoadDetail(data) {
		return request('detail', data, 'get')
	},
	//获取订单装卸点位下拉列表
	getPointList(data){
		return request('getPointList',data,'get')
	},
	//获取订单装卸事件下拉列表
	getLoadTimeList(data){
		return request('getLoadTimeList',data,'get')
	}
}
