import { baseRequest } from '@/utils/request'

const request = (url, ...arg) => baseRequest(`/biz/bizordersupplier/` + url, ...arg)

/**
 * 订单供应商Api接口管理器
 *
 * @author fanzherong
 * @date  2025/06/20 11:43
 **/
export default {
	// 获取订单供应商分页
	bizOrderSupplierPage(data) {
		return request('page', data, 'get')
	},
	// 提交订单供应商表单 edit为true时为编辑，默认为新增
	bizOrderSupplierSubmitForm(data, edit = false) {
		return request(edit ? 'edit' : 'add', data)
	},
	// 删除订单供应商
	bizOrderSupplierDelete(data) {
		return request('delete', data)
	},
	// 获取订单供应商详情
	bizOrderSupplierDetail(data) {
		return request('detail', data, 'get')
	},
	// 获取订单供应商列表
	getSupplierList(data){
		return request('getSupplierList',data,'get')
	},
	//获取供应商在执行的订单
	getListBySupplier(data){
		return request('getListBySupplier',data,'get')
	}
}
