import { baseRequest } from '@/utils/request'

const request = (url, ...arg) => baseRequest(`/biz/bizotherappointment/` + url, ...arg)

/**
 * 预约记录Api接口管理器
 *
 * @author fanzherong
 * @date  2025/03/24 14:47
 **/
export default {
	// 获取预约记录分页
	bizOtherAppointmentPage(data) {
		return request('page', data, 'get')
	},
	// 其他预约表单提交
	bizOtherAppointmentSubmitForm(data, edit = false) {
		return request(edit ? 'editOtherAppointment' : 'addOtherAppointment', data)
	},
	// 删除其他预约记录
	bizOtherAppointmentDelete(data) {
		return request('deleteOtherAppointment', data)
	},
	//强制结束
	bizOtherAppointmentExit(data){
		return request('bizOtherAppointmentExit',data)
	},
	//授权出场
	bizOtherAppointmentAuthorize(data){
		return request('bizOtherAppointmentAuthorize',data)
	},

	// 获取预约记录详情
	bizAppointmentRecordDetail(data) {
		return request('detail', data, 'get')
	},

	//导出
	bizOtherAppointmentExport(data){
		return request('bizOtherAppointmentExport', data, 'get', {
			responseType: 'blob'
		})
	},
	//完成装货
	bizOtherAppointmentComplete(data){
		return request('bizOtherAppointmentComplete',data)
	}
}
