import { baseRequest } from '@/utils/request'

const request = (url, ...arg) => baseRequest(`/biz/bizpipeappoint/` + url, ...arg)

/**
 * 管桩预约Api接口管理器
 *
 * @author fanzherong
 * @date  2025/06/30 15:49
 **/
export default {
	// 获取管桩预约分页
	bizPipeAppointPage(data) {
		return request('page', data, 'get')
	},
	// 提交管桩预约表单 edit为true时为编辑，默认为新增
	bizPipeAppointSubmitForm(data, edit = false) {
		return request(edit ? 'edit' : 'add', data)
	},
	// 删除管桩预约
	bizPipeAppointDelete(data) {
		return request('delete', data)
	},
	// 获取管桩预约详情
	bizPipeAppointDetail(data) {
		return request('detail', data, 'get')
	}
}
