import { baseRequest } from '@/utils/request'

const request = (url, ...arg) => baseRequest(`/biz/bizpipeplan/` + url, ...arg)

/**
 * 管桩计划Api接口管理器
 *
 * @author fanzherong
 * @date  2025/06/30 10:32
 **/
export default {
	// 获取管桩计划分页
	bizPipePlanPage(data) {
		return request('page', data, 'get')
	},
	// 提交管桩计划表单 edit为true时为编辑，默认为新增
	bizPipePlanSubmitForm(data, edit = false) {
		return request(edit ? 'edit' : 'add', data)
	},
	// 删除管桩计划
	bizPipePlanDelete(data) {
		return request('delete', data)
	},
	// 获取管桩计划详情
	bizPipePlanDetail(data) {
		return request('detail', data, 'get')
	},
	// 结束管桩计划
	endPlan(data){
		return request('endPlan',data)
	},
	// 获取管桩统计列表
	getList(data){
		return request('getList',data,'get')
	}
}
