import { baseRequest } from '@/utils/request'

const request = (url, ...arg) => baseRequest(`/biz/bizprocess/` + url, ...arg)

/**
 * 生产工序Api接口管理器
 *
 * @author fanzherong
 * @date  2025/05/29 15:09
 **/
export default {
	// 获取生产工序分页
	bizProcessPage(data) {
		return request('page', data, 'get')
	},
	// 提交生产工序表单 edit为true时为编辑，默认为新增
	bizProcessSubmitForm(data, edit = false) {
		return request(edit ? 'edit' : 'add', data)
	},
	// 删除生产工序
	bizProcessDelete(data) {
		return request('delete', data)
	},
	// 获取生产工序详情
	bizProcessDetail(data) {
		return request('detail', data, 'get')
	}
}
