import { baseRequest } from '@/utils/request'

const request = (url, ...arg) => baseRequest(`/biz/bizprocessnode/` + url, ...arg)

/**
 * 工序节点Api接口管理器
 *
 * @author fanzherong
 * @date  2025/05/29 15:09
 **/
export default {
	// 获取工序节点分页
	bizProcessNodePage(data) {
		return request('page', data, 'get')
	},
	// 提交工序节点表单 edit为true时为编辑，默认为新增
	bizProcessNodeSubmitForm(data, edit = false) {
		return request(edit ? 'edit' : 'add', data)
	},
	// 删除工序节点
	bizProcessNodeDelete(data) {
		return request('delete', data)
	},
	// 获取工序节点详情
	bizProcessNodeDetail(data) {
		return request('detail', data, 'get')
	}
}
