import { baseRequest } from '@/utils/request'

const request = (url, ...arg) => baseRequest(`/biz/bizservicecustomeraccount/` + url, ...arg)

/**
 * 服务客户账号管理Api接口管理器
 *
 * @author fanzherong
 * @date  2025/05/29 14:39
 **/
export default {
	// 获取服务客户账号管理分页
	bizServiceCustomerAccountPage(data) {
		return request('page', data, 'get')
	},
	// 提交服务客户账号管理表单 edit为true时为编辑，默认为新增
	bizServiceCustomerAccountSubmitForm(data, edit = false) {
		return request(edit ? 'edit' : 'add', data)
	},
	// 删除服务客户账号管理
	bizServiceCustomerAccountDelete(data) {
		return request('delete', data)
	},
	// 获取服务客户账号管理详情
	bizServiceCustomerAccountDetail(data) {
		return request('detail', data, 'get')
	}
}
