import { baseRequest } from '@/utils/request'

const request = (url, ...arg) => baseRequest(`/biz/bizsettle/` + url, ...arg)

/**
 * 运费结算Api接口管理器
 *
 * @author xiaofan
 * @date  2025/06/12 09:54
 **/
export default {
	// 获取运费结算分页
	bizSettlePage(data) {
		return request('page', data, 'get')
	},
	// 提交运费结算表单 edit为true时为编辑，默认为新增
	bizSettleSubmitForm(data, edit = false) {
		return request(edit ? 'edit' : 'add', data)
	},
	//船运结算
	bizSettleShipSubmit(data,edit  = false){
		return request(edit ? 'editShipSettle' : 'addShipSettle', data)
	},
	// 删除运费结算
	bizSettleDelete(data) {
		return request('delete', data)
	},
	//删除船运结算
	deleteArrive(data){
		return request('deleteArrive',data)
	},
	// 获取运费结算详情
	bizSettleDetail(data) {
		return request('detail', data, 'get')
	},
	// 编辑获取明细
	detailOrder(data){
		return request('detailOrder',data,'get')
	},
	//编辑获取船运明细
	detailArrive(data){
		return request('detailArrive',data,'get')
	},
	// 提交数据
	submit(data){
		return request('submit',data)
	},
	//管理员审批
	auditAdmin(data){
		return request('auditAdmin',data)
	},
	//财务审批
	auditFinance(data){
		return request('auditFinance',data)
	},
	//上传发票
	uploadInvoice(data){
		return request('uploadInvoice',data)
	},
	//上传结款凭证
	uploadVoucher(data){
		return request('uploadVoucher',data)
	},
	//打款审核驳回
	auditReject(data){
		return request('auditReject',data)
	}
}
