import { baseRequest } from '@/utils/request'

const request = (url, ...arg) => baseRequest(`/biz/bizship/` + url, ...arg)

/**
 * 船舶管理Api接口管理器
 *
 * @author fanzherong
 * @date  2025/07/12 15:32
 **/
export default {
	// 获取船舶管理分页
	bizShipPage(data) {
		return request('page', data, 'get')
	},
	// 提交船舶管理表单 edit为true时为编辑，默认为新增
	bizShipSubmitForm(data, edit = false) {
		return request(edit ? 'edit' : 'add', data)
	},
	// 删除船舶管理
	bizShipDelete(data) {
		return request('delete', data)
	},
	// 获取船舶管理详情
	bizShipDetail(data) {
		return request('detail', data, 'get')
	}
}
