import { baseRequest } from '@/utils/request'

const request = (url, ...arg) => baseRequest(`/biz/bizsuppliertransport/` + url, ...arg)

/**
 * 供应商运输管理Api接口管理器
 *
 * @author fanzherong
 * @date  2025/05/29 14:47
 **/
export default {
	// 获取供应商运输管理分页
	bizSupplierTransportPage(data) {
		return request('page', data, 'get')
	},
	// 提交供应商运输管理表单 edit为true时为编辑，默认为新增
	bizSupplierTransportSubmitForm(data, edit = false) {
		return request(edit ? 'edit' : 'add', data)
	},
	// 删除供应商运输管理
	bizSupplierTransportDelete(data) {
		return request('delete', data)
	},
	// 获取供应商运输管理详情
	bizSupplierTransportDetail(data) {
		return request('detail', data, 'get')
	},
	// 审核
	auditRecord(data) {
		return request('audit', data)
	},
	
}
