/*
 * Copyright [2022] [https://www.xiaonuo.vip]
 *
 * Snowy采用APACHE LICENSE 2.0开源协议，您在使用过程中，需要注意以下几点：
 *
 * 1.请不要删除和修改根目录下的LICENSE文件。
 * 2.请不要删除和修改Snowy源码头部的版权声明。
 * 3.本项目代码可免费商业使用，商业使用请保留源码和相关描述文件的项目出处，作者声明等。
 * 4.分发源码时候，请注明软件出处 https://www.xiaonuo.vip
 * 5.不可二次分发开源参与同类竞品，如有想法可联系团队xiaonuobase@qq.com商议合作。
 * 6.若您的项目无法满足以上几点，需要更多功能代码，获取Snowy商业授权许可，请在官网购买授权，地址为 https://www.xiaonuo.vip
 */
package vip.xiaonuo.biz.modular.bizappointreplace.entity;

import com.baomidou.mybatisplus.annotation.*;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Getter;
import lombok.Setter;
import vip.xiaonuo.common.pojo.CommonEntity;

import java.math.BigDecimal;
import java.util.Date;

/**
 * 沙石预约调度实体
 *
 * @author fanzherong
 * @date  2025/07/11 14:22
 **/
@Getter
@Setter
@TableName("biz_appoint_replace")
public class BizAppointReplace extends CommonEntity {

    /** 主键ID */
    @TableId
    @Schema(description = "主键ID")
    private String id;

    /** 更换前订单id */
    @Schema(description = "更换前订单id")
    private String oldOrderId;

    /** 更换后订单id */
    @Schema(description = "更换后订单id")
    private String newOrderId;

    /** 预约id */
    @Schema(description = "预约id")
    private String appointId;

    /** 更换前点位id */
    @Schema(description = "更换前点位id")
    private String oldLoadPointId;

    /** 更换后点位id */
    @Schema(description = "更换后点位id")
    private String newLoadPointId;

    /** 更换前装卸时间id */
    @Schema(description = "更换前装卸时间id")
    private String oldLoadTimeId;

    /** 更换后装卸时间id */
    @Schema(description = "更换后装卸时间id")
    private String newLoadTimeId;

    /** 状态 1：待审核   2：审核通过   3：审核通过 */
    @Schema(description = "状态 1：待审核   2：审核通过   3：审核通过")
    private String status;

    /**预约状态*/
    private String appointStatus;


    /**旧订单号*/
    @TableField(exist = false)
    private String oldOrderNumber;

    /**新订单号*/
    @TableField(exist = false)
    private String newOrderNumber;
    /**旧点位*/
    @TableField(exist = false)
    private String oldLoadPoint;
    /**新点位*/
    @TableField(exist = false)
    private String newLoadPoint;
    /**旧开始时间*/
    @TableField(exist = false)
    private String oldBeginTime;
    /**旧结束时间*/
    @TableField(exist = false)
    private String oldEndTime;
    /**新开始时间*/
    @TableField(exist = false)
    private String newBeginTime;
    /**新结束时间*/
    @TableField(exist = false)
    private String newEndTime;
    /**车牌号*/
    @TableField(exist = false)
    private String licenseNumber;
    /**司机姓名*/
    @TableField(exist = false)
    private String driverName;
    /**司机电话*/
    @TableField(exist = false)
    private String driverMobile;

    /**客户名称*/
    @TableField(exist = false)
    private String customerName;
    @TableField(exist = false)
    private String customerContact;
    @TableField(exist = false)
    private String customerPhone;
    @TableField(exist = false)
    private String customerAddress;
    @TableField(exist = false)
    private String goodsName;
    @TableField(exist = false)
    private String goodsCode;
    @TableField(exist = false)
    private Date confStartTime;
    @TableField(exist = false)
    private Date confEndTime;
    @TableField(exist = false)
    private String axleNumber;
}
