/*
 * Copyright [2022] [https://www.xiaonuo.vip]
 *
 * Snowy采用APACHE LICENSE 2.0开源协议，您在使用过程中，需要注意以下几点：
 *
 * 1.请不要删除和修改根目录下的LICENSE文件。
 * 2.请不要删除和修改Snowy源码头部的版权声明。
 * 3.本项目代码可免费商业使用，商业使用请保留源码和相关描述文件的项目出处，作者声明等。
 * 4.分发源码时候，请注明软件出处 https://www.xiaonuo.vip
 * 5.不可二次分发开源参与同类竞品，如有想法可联系团队xiaonuobase@qq.com商议合作。
 * 6.若您的项目无法满足以上几点，需要更多功能代码，获取Snowy商业授权许可，请在官网购买授权，地址为 https://www.xiaonuo.vip
 */
package vip.xiaonuo.biz.modular.bizappointreplace.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import vip.xiaonuo.biz.modular.bizappointreplace.entity.BizAppointReplace;
import vip.xiaonuo.biz.modular.bizappointreplace.param.BizAppointReplaceAddParam;
import vip.xiaonuo.biz.modular.bizappointreplace.param.BizAppointReplaceEditParam;
import vip.xiaonuo.biz.modular.bizappointreplace.param.BizAppointReplaceIdParam;
import vip.xiaonuo.biz.modular.bizappointreplace.param.BizAppointReplacePageParam;

import java.util.List;

/**
 * 沙石预约调度Service接口
 *
 * @author fanzherong
 * @date  2025/07/11 14:22
 **/
public interface BizAppointReplaceService extends IService<BizAppointReplace> {

    /**
     * 获取沙石预约调度分页
     *
     * @author fanzherong
     * @date  2025/07/11 14:22
     */
    Page<BizAppointReplace> page(BizAppointReplacePageParam bizAppointReplacePageParam);

    /**
     * 添加沙石预约调度
     *
     * @author fanzherong
     * @date  2025/07/11 14:22
     */
    void add(BizAppointReplaceAddParam bizAppointReplaceAddParam);

    /**
     * 编辑沙石预约调度
     *
     * @author fanzherong
     * @date  2025/07/11 14:22
     */
    void edit(BizAppointReplaceEditParam bizAppointReplaceEditParam);

    /**
     * 调度审核审批
     * @param bizAppointReplaceEditParam
     */
    void audit(BizAppointReplaceEditParam bizAppointReplaceEditParam);

    /**
     * 删除沙石预约调度
     *
     * @author fanzherong
     * @date  2025/07/11 14:22
     */
    void delete(List<BizAppointReplaceIdParam> bizAppointReplaceIdParamList);

    /**
     * 获取沙石预约调度详情
     *
     * @author fanzherong
     * @date  2025/07/11 14:22
     */
    BizAppointReplace detail(BizAppointReplaceIdParam bizAppointReplaceIdParam);

    /**
     * 获取沙石预约调度详情
     *
     * @author fanzherong
     * @date  2025/07/11 14:22
     **/
    BizAppointReplace queryEntity(String id);
}
