/*
 * Copyright [2022] [https://www.xiaonuo.vip]
 *
 * Snowy采用APACHE LICENSE 2.0开源协议，您在使用过程中，需要注意以下几点：
 *
 * 1.请不要删除和修改根目录下的LICENSE文件。
 * 2.请不要删除和修改Snowy源码头部的版权声明。
 * 3.本项目代码可免费商业使用，商业使用请保留源码和相关描述文件的项目出处，作者声明等。
 * 4.分发源码时候，请注明软件出处 https://www.xiaonuo.vip
 * 5.不可二次分发开源参与同类竞品，如有想法可联系团队xiaonuobase@qq.com商议合作。
 * 6.若您的项目无法满足以上几点，需要更多功能代码，获取Snowy商业授权许可，请在官网购买授权，地址为 https://www.xiaonuo.vip
 */
package vip.xiaonuo.biz.modular.bizauditlog.entity;

import com.baomidou.mybatisplus.annotation.*;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Getter;
import lombok.Setter;
import vip.xiaonuo.common.pojo.CommonEntity;

import java.math.BigDecimal;
import java.util.Date;

/**
 * 审核记录表实体
 *
 * @author fanzherong
 * @date  2025/06/16 14:57
 **/
@Getter
@Setter
@TableName("biz_audit_log")
public class BizAuditLog extends CommonEntity {

    /** 审核记录表id */
    @TableId
    @Schema(description = "审核记录表id")
    private String id;

    /** 数据类型：YFJS  运费结算 */
    @Schema(description = "数据类型：YFJS  运费结算")
    private String type;

    /** 数据id */
    @Schema(description = "数据id")
    private String dataId;

    /** 审核状态 ： 1.通过 2. 拒绝 */
    @Schema(description = "审核状态 ： 1.通过 2. 拒绝")
    private String status;

    /** 原因 */
    @Schema(description = "原因")
    private String remark;
}
