/*
 * Copyright [2022] [https://www.xiaonuo.vip]
 *
 * Snowy采用APACHE LICENSE 2.0开源协议，您在使用过程中，需要注意以下几点：
 *
 * 1.请不要删除和修改根目录下的LICENSE文件。
 * 2.请不要删除和修改Snowy源码头部的版权声明。
 * 3.本项目代码可免费商业使用，商业使用请保留源码和相关描述文件的项目出处，作者声明等。
 * 4.分发源码时候，请注明软件出处 https://www.xiaonuo.vip
 * 5.不可二次分发开源参与同类竞品，如有想法可联系团队xiaonuobase@qq.com商议合作。
 * 6.若您的项目无法满足以上几点，需要更多功能代码，获取Snowy商业授权许可，请在官网购买授权，地址为 https://www.xiaonuo.vip
 */
package vip.xiaonuo.biz.modular.bizauditlog.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import vip.xiaonuo.biz.modular.bizauditlog.entity.BizAuditLog;
import vip.xiaonuo.biz.modular.bizauditlog.param.BizAuditLogAddParam;
import vip.xiaonuo.biz.modular.bizauditlog.param.BizAuditLogEditParam;
import vip.xiaonuo.biz.modular.bizauditlog.param.BizAuditLogIdParam;
import vip.xiaonuo.biz.modular.bizauditlog.param.BizAuditLogPageParam;

import java.util.List;

/**
 * 审核记录表Service接口
 *
 * @author fanzherong
 * @date  2025/06/16 14:57
 **/
public interface BizAuditLogService extends IService<BizAuditLog> {

    /**
     * 获取审核记录表分页
     *
     * @author fanzherong
     * @date  2025/06/16 14:57
     */
    Page<BizAuditLog> page(BizAuditLogPageParam bizAuditLogPageParam);

    /**
     * 添加审核记录表
     *
     * @author fanzherong
     * @date  2025/06/16 14:57
     */
    void add(BizAuditLogAddParam bizAuditLogAddParam);

    /**
     * 编辑审核记录表
     *
     * @author fanzherong
     * @date  2025/06/16 14:57
     */
    void edit(BizAuditLogEditParam bizAuditLogEditParam);

    /**
     * 删除审核记录表
     *
     * @author fanzherong
     * @date  2025/06/16 14:57
     */
    void delete(List<BizAuditLogIdParam> bizAuditLogIdParamList);

    /**
     * 获取审核记录表详情
     *
     * @author fanzherong
     * @date  2025/06/16 14:57
     */
    BizAuditLog detail(BizAuditLogIdParam bizAuditLogIdParam);

    /**
     * 获取审核记录表详情
     *
     * @author fanzherong
     * @date  2025/06/16 14:57
     **/
    BizAuditLog queryEntity(String id);

    /**
     * 查询审核记录列表
     */
    List<BizAuditLog> getList(BizAuditLogPageParam bizAuditLogPageParam);
}
