/*
 * Copyright [2022] [https://www.xiaonuo.vip]
 *
 * Snowy采用APACHE LICENSE 2.0开源协议，您在使用过程中，需要注意以下几点：
 *
 * 1.请不要删除和修改根目录下的LICENSE文件。
 * 2.请不要删除和修改Snowy源码头部的版权声明。
 * 3.本项目代码可免费商业使用，商业使用请保留源码和相关描述文件的项目出处，作者声明等。
 * 4.分发源码时候，请注明软件出处 https://www.xiaonuo.vip
 * 5.不可二次分发开源参与同类竞品，如有想法可联系团队xiaonuobase@qq.com商议合作。
 * 6.若您的项目无法满足以上几点，需要更多功能代码，获取Snowy商业授权许可，请在官网购买授权，地址为 https://www.xiaonuo.vip
 */
package vip.xiaonuo.biz.modular.bizloadarrive.entity;

import com.baomidou.mybatisplus.annotation.*;
import com.fhs.core.trans.anno.Trans;
import com.fhs.core.trans.constant.TransType;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Getter;
import lombok.Setter;
import vip.xiaonuo.common.pojo.CommonEntity;

import java.math.BigDecimal;
import java.util.Date;

/**
 * 报港预约实体
 *
 * @author fanzherong
 * @date  2025/06/26 14:12
 **/
@Getter
@Setter
@TableName("biz_load_arrive")
public class BizLoadArrive extends CommonEntity {

    /** 主键ID */
    @TableId
    @Schema(description = "主键ID")
    private String id;

    /** 起卸预约id */
    @Schema(description = "起卸预约id")
    private String appointId;

    /** 报港数量 */
    @Schema(description = "报港数量")
    private BigDecimal arriveNumber;

    /** 到港时间 */
    @Schema(description = "到港时间")
    private Date arriveTime;

    /** 发航单名称 */
    @Schema(description = "发航单名称")
    private String sailFileName;

    /** 发航单路径 */
    @Schema(description = "发航单路径")
    private String sailFilePath;

    /**船号**/
    private String shipNo;

    /**状态*/
    @Trans(type = TransType.DICTIONARY, key = "arrive_status")
    private String status;

    /**船主签字*/
    private String arriveSign;

    /**签字时间**/
    private Date signTime;

    /**客户名称*/
    @TableField(exist = false)
    private String customerName;

    /**客户联系人*/
    @TableField(exist = false)
    private String customerContact;

    /**联系方式*/
    @TableField(exist = false)
    private String customerPhone;

    /**客户地址**/
    @TableField(exist = false)
    private String customerAddress;

    /**货品名称*/
    @TableField(exist = false)
    private String goodsName;

    /**货品编码*/
    @TableField(exist = false)
    private String goodsCode;

    /***起卸预约单号*/
    @TableField(exist = false)
    private String loadNumber;

    /**起卸订单状态*/
    @TableField(exist = false)
    private String loadStatus;

    /**起卸数量*/
    @TableField(exist = false)
    private BigDecimal fillWeight;

    /**供应商名称*/
    @TableField(exist = false)
    private String supplierName;

    /**订单数量*/
    @TableField(exist = false)
    private BigDecimal orderWeight;

    /**船运运费单价*/
    @TableField(exist = false)
    private BigDecimal freightPrice;
}
