/*
 * Copyright [2022] [https://www.xiaonuo.vip]
 *
 * Snowy采用APACHE LICENSE 2.0开源协议，您在使用过程中，需要注意以下几点：
 *
 * 1.请不要删除和修改根目录下的LICENSE文件。
 * 2.请不要删除和修改Snowy源码头部的版权声明。
 * 3.本项目代码可免费商业使用，商业使用请保留源码和相关描述文件的项目出处，作者声明等。
 * 4.分发源码时候，请注明软件出处 https://www.xiaonuo.vip
 * 5.不可二次分发开源参与同类竞品，如有想法可联系团队xiaonuobase@qq.com商议合作。
 * 6.若您的项目无法满足以上几点，需要更多功能代码，获取Snowy商业授权许可，请在官网购买授权，地址为 https://www.xiaonuo.vip
 */
package vip.xiaonuo.biz.modular.bizloadarrive.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import jakarta.servlet.http.HttpServletResponse;
import vip.xiaonuo.biz.modular.bizloadappoint.param.BizLoadAppointPageParam;
import vip.xiaonuo.biz.modular.bizloadarrive.entity.BizLoadArrive;
import vip.xiaonuo.biz.modular.bizloadarrive.param.BizLoadArriveAddParam;
import vip.xiaonuo.biz.modular.bizloadarrive.param.BizLoadArriveEditParam;
import vip.xiaonuo.biz.modular.bizloadarrive.param.BizLoadArriveIdParam;
import vip.xiaonuo.biz.modular.bizloadarrive.param.BizLoadArrivePageParam;

import java.util.List;

/**
 * 报港预约Service接口
 *
 * @author fanzherong
 * @date  2025/06/26 14:12
 **/
public interface BizLoadArriveService extends IService<BizLoadArrive> {

    /**
     * 获取报港预约分页
     *
     * @author fanzherong
     * @date  2025/06/26 14:12
     */
    Page<BizLoadArrive> page(BizLoadArrivePageParam bizLoadArrivePageParam);

    /**
     * 添加报港预约
     *
     * @author fanzherong
     * @date  2025/06/26 14:12
     */
    void add(BizLoadArriveAddParam bizLoadArriveAddParam);

    /**
     * 编辑报港预约
     *
     * @author fanzherong
     * @date  2025/06/26 14:12
     */
    void edit(BizLoadArriveEditParam bizLoadArriveEditParam);

    /**
     * 删除报港预约
     *
     * @author fanzherong
     * @date  2025/06/26 14:12
     */
    void delete(List<BizLoadArriveIdParam> bizLoadArriveIdParamList);

    /**
     * 获取报港预约详情
     *
     * @author fanzherong
     * @date  2025/06/26 14:12
     */
    BizLoadArrive detail(BizLoadArriveIdParam bizLoadArriveIdParam);

    /**
     * 获取报港预约详情
     *
     * @author fanzherong
     * @date  2025/06/26 14:12
     **/
    BizLoadArrive queryEntity(String id);

    /**
     * 审核
     */
    void auditArrive(BizLoadArriveEditParam bizLoadArriveEditParam);

    /**
     * 导出
     */
    void exportRecord(BizLoadArrivePageParam bizLoadArrivePageParam, HttpServletResponse response);

    /**
     * 船主确认
     */
    void arriveConfirm(BizLoadArriveEditParam bizLoadArriveEditParam);


    /**
     * 船主签字
     *
     * @author fanzherong
     * @date  2025/06/26 14:12
     */
    void arriveSign(BizLoadArriveEditParam bizLoadArriveEditParam);

    /**
     * 船运结算列表
     * @param bizLoadArrivePageParam
     * @return
     */
    List<BizLoadArrive> getList(BizLoadArrivePageParam bizLoadArrivePageParam);
}
