/*
 * Copyright [2022] [https://www.xiaonuo.vip]
 *
 * Snowy采用APACHE LICENSE 2.0开源协议，您在使用过程中，需要注意以下几点：
 *
 * 1.请不要删除和修改根目录下的LICENSE文件。
 * 2.请不要删除和修改Snowy源码头部的版权声明。
 * 3.本项目代码可免费商业使用，商业使用请保留源码和相关描述文件的项目出处，作者声明等。
 * 4.分发源码时候，请注明软件出处 https://www.xiaonuo.vip
 * 5.不可二次分发开源参与同类竞品，如有想法可联系团队xiaonuobase@qq.com商议合作。
 * 6.若您的项目无法满足以上几点，需要更多功能代码，获取Snowy商业授权许可，请在官网购买授权，地址为 https://www.xiaonuo.vip
 */
package vip.xiaonuo.biz.modular.bizloadpoint.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import vip.xiaonuo.biz.modular.bizloadpoint.entity.BizLoadPoint;
import vip.xiaonuo.biz.modular.bizloadpoint.param.BizLoadPointAddParam;
import vip.xiaonuo.biz.modular.bizloadpoint.param.BizLoadPointEditParam;
import vip.xiaonuo.biz.modular.bizloadpoint.param.BizLoadPointIdParam;
import vip.xiaonuo.biz.modular.bizloadpoint.param.BizLoadPointPageParam;

import java.util.List;

/**
 * 装货点位信息Service接口
 *
 * @author fanzherong
 * @date  2025/05/29 14:54
 **/
public interface BizLoadPointService extends IService<BizLoadPoint> {

    /**
     * 获取装货点位信息分页
     *
     * @author fanzherong
     * @date  2025/05/29 14:54
     */
    Page<BizLoadPoint> page(BizLoadPointPageParam bizLoadPointPageParam);

    /**
     * 添加装货点位信息
     *
     * @author fanzherong
     * @date  2025/05/29 14:54
     */
    void add(BizLoadPointAddParam bizLoadPointAddParam);

    /**
     * 编辑装货点位信息
     *
     * @author fanzherong
     * @date  2025/05/29 14:54
     */
    void edit(BizLoadPointEditParam bizLoadPointEditParam);

    /**
     * 删除装货点位信息
     *
     * @author fanzherong
     * @date  2025/05/29 14:54
     */
    void delete(List<BizLoadPointIdParam> bizLoadPointIdParamList);

    /**
     * 获取装货点位信息详情
     *
     * @author fanzherong
     * @date  2025/05/29 14:54
     */
    BizLoadPoint detail(BizLoadPointIdParam bizLoadPointIdParam);

    /**
     * 获取装货点位信息详情
     *
     * @author fanzherong
     * @date  2025/05/29 14:54
     **/
    BizLoadPoint queryEntity(String id);

    /**
     * 查询所有点位信息
     */
    List<BizLoadPoint> getList(BizLoadPointPageParam bizLoadPointPageParam);
}
