/*
 * Copyright [2022] [https://www.xiaonuo.vip]
 *
 * Snowy采用APACHE LICENSE 2.0开源协议，您在使用过程中，需要注意以下几点：
 *
 * 1.请不要删除和修改根目录下的LICENSE文件。
 * 2.请不要删除和修改Snowy源码头部的版权声明。
 * 3.本项目代码可免费商业使用，商业使用请保留源码和相关描述文件的项目出处，作者声明等。
 * 4.分发源码时候，请注明软件出处 https://www.xiaonuo.vip
 * 5.不可二次分发开源参与同类竞品，如有想法可联系团队xiaonuobase@qq.com商议合作。
 * 6.若您的项目无法满足以上几点，需要更多功能代码，获取Snowy商业授权许可，请在官网购买授权，地址为 https://www.xiaonuo.vip
 */
package vip.xiaonuo.biz.modular.bizorderload.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import vip.xiaonuo.biz.modular.bizorderload.entity.BizOrderLoad;
import vip.xiaonuo.biz.modular.bizorderload.param.BizOrderLoadAddParam;
import vip.xiaonuo.biz.modular.bizorderload.param.BizOrderLoadEditParam;
import vip.xiaonuo.biz.modular.bizorderload.param.BizOrderLoadIdParam;
import vip.xiaonuo.biz.modular.bizorderload.param.BizOrderLoadPageParam;

import java.util.List;

/**
 * 订单装卸点位Service接口
 *
 * @author fanzherong
 * @date  2025/05/30 14:05
 **/
public interface BizOrderLoadService extends IService<BizOrderLoad> {

    /**
     * 获取订单装卸点位分页
     *
     * @author fanzherong
     * @date  2025/05/30 14:05
     */
    Page<BizOrderLoad> page(BizOrderLoadPageParam bizOrderLoadPageParam);

    /**
     * 添加订单装卸点位
     *
     * @author fanzherong
     * @date  2025/05/30 14:05
     */
    void add(BizOrderLoadAddParam bizOrderLoadAddParam);

    /**
     * 编辑订单装卸点位
     *
     * @author fanzherong
     * @date  2025/05/30 14:05
     */
    void edit(BizOrderLoadEditParam bizOrderLoadEditParam);

    /**
     * 替换装卸点位和时间
     * @param bizOrderLoadEditParam
     */
    void replace(BizOrderLoadEditParam bizOrderLoadEditParam);

    /**
     * 删除订单装卸点位
     *
     * @author fanzherong
     * @date  2025/05/30 14:05
     */
    void delete(List<BizOrderLoadIdParam> bizOrderLoadIdParamList);

    /**
     * 获取订单装卸点位详情
     *
     * @author fanzherong
     * @date  2025/05/30 14:05
     */
    BizOrderLoad detail(BizOrderLoadIdParam bizOrderLoadIdParam);

    /**
     * 获取订单装卸点位详情
     *
     * @author fanzherong
     * @date  2025/05/30 14:05
     **/
    BizOrderLoad queryEntity(String id);

    /**
     * 获取订单装卸时间列表
     */
    List<BizOrderLoad> getLoadTimeList(BizOrderLoadPageParam bizOrderLoadPageParam);

    /**
     * 获取订单装卸点位列表
     */
    List<BizOrderLoad> getPointList(BizOrderLoadPageParam bizOrderLoadPageParam);
}
