/*
 * Copyright [2022] [https://www.xiaonuo.vip]
 *
 * Snowy采用APACHE LICENSE 2.0开源协议，您在使用过程中，需要注意以下几点：
 *
 * 1.请不要删除和修改根目录下的LICENSE文件。
 * 2.请不要删除和修改Snowy源码头部的版权声明。
 * 3.本项目代码可免费商业使用，商业使用请保留源码和相关描述文件的项目出处，作者声明等。
 * 4.分发源码时候，请注明软件出处 https://www.xiaonuo.vip
 * 5.不可二次分发开源参与同类竞品，如有想法可联系团队xiaonuobase@qq.com商议合作。
 * 6.若您的项目无法满足以上几点，需要更多功能代码，获取Snowy商业授权许可，请在官网购买授权，地址为 https://www.xiaonuo.vip
 */
package vip.xiaonuo.biz.modular.bizordersupplier.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import vip.xiaonuo.biz.modular.bizordersupplier.entity.BizOrderSupplier;
import vip.xiaonuo.biz.modular.bizordersupplier.param.BizOrderSupplierAddParam;
import vip.xiaonuo.biz.modular.bizordersupplier.param.BizOrderSupplierEditParam;
import vip.xiaonuo.biz.modular.bizordersupplier.param.BizOrderSupplierIdParam;
import vip.xiaonuo.biz.modular.bizordersupplier.param.BizOrderSupplierPageParam;

import java.util.List;

/**
 * 订单供应商Service接口
 *
 * @author fanzherong
 * @date  2025/06/20 11:43
 **/
public interface BizOrderSupplierService extends IService<BizOrderSupplier> {

    /**
     * 获取订单供应商分页
     *
     * @author fanzherong
     * @date  2025/06/20 11:43
     */
    Page<BizOrderSupplier> page(BizOrderSupplierPageParam bizOrderSupplierPageParam);

    /**
     * 添加订单供应商
     *
     * @author fanzherong
     * @date  2025/06/20 11:43
     */
    void add(BizOrderSupplierAddParam bizOrderSupplierAddParam);

    /**
     * 编辑订单供应商
     *
     * @author fanzherong
     * @date  2025/06/20 11:43
     */
    void edit(BizOrderSupplierEditParam bizOrderSupplierEditParam);

    /**
     * 删除订单供应商
     *
     * @author fanzherong
     * @date  2025/06/20 11:43
     */
    void delete(List<BizOrderSupplierIdParam> bizOrderSupplierIdParamList);

    /**
     * 获取订单供应商详情
     *
     * @author fanzherong
     * @date  2025/06/20 11:43
     */
    BizOrderSupplier detail(BizOrderSupplierIdParam bizOrderSupplierIdParam);

    /**
     * 获取订单供应商详情
     *
     * @author fanzherong
     * @date  2025/06/20 11:43
     **/
    BizOrderSupplier queryEntity(String id);

    /**
     * 获取订单供应商列表
     */
    List<BizOrderSupplier> getSupplierList(BizOrderSupplierPageParam bizOrderSupplierPageParam);

    /**
     * 查询供应商正在执行的物流订单
     */
    List<BizOrderSupplier> getListBySupplier(BizOrderSupplierPageParam bizOrderSupplierPageParam);
}
