/*
 * Copyright [2022] [https://www.xiaonuo.vip]
 *
 * Snowy采用APACHE LICENSE 2.0开源协议，您在使用过程中，需要注意以下几点：
 *
 * 1.请不要删除和修改根目录下的LICENSE文件。
 * 2.请不要删除和修改Snowy源码头部的版权声明。
 * 3.本项目代码可免费商业使用，商业使用请保留源码和相关描述文件的项目出处，作者声明等。
 * 4.分发源码时候，请注明软件出处 https://www.xiaonuo.vip
 * 5.不可二次分发开源参与同类竞品，如有想法可联系团队xiaonuobase@qq.com商议合作。
 * 6.若您的项目无法满足以上几点，需要更多功能代码，获取Snowy商业授权许可，请在官网购买授权，地址为 https://www.xiaonuo.vip
 */
package vip.xiaonuo.biz.modular.bizpipeplan.entity;

import com.baomidou.mybatisplus.annotation.*;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Getter;
import lombok.Setter;
import vip.xiaonuo.common.pojo.CommonEntity;

import java.math.BigDecimal;
import java.util.Date;

/**
 * 管桩计划实体
 *
 * @author fanzherong
 * @date  2025/06/30 10:32
 **/
@Getter
@Setter
@TableName("biz_pipe_plan")
public class BizPipePlan extends CommonEntity {

    /** 主键ID */
    @TableId
    @Schema(description = "主键ID")
    private String id;

    /** 计划编号 */
    @Schema(description = "计划编号")
    private String planNumber;

    /** 计划名称 */
    @Schema(description = "计划名称")
    private String planName;

    /** 预约次数 */
    @Schema(description = "预约次数")
    private Integer planCount;

    /** 已预约次数 */
    @Schema(description = "已预约次数")
    private Integer planAlreadyCount;

    /** 开始时间 */
    @Schema(description = "开始时间")
    private Date beginTime;

    /** 结束时间 */
    @Schema(description = "结束时间")
    private Date endTime;

    /**日期**/
    private String planDate;

    /**开始时间**/
    private String startDate;

    /**结束时间**/
    private String endDate;

    /**状态**/
    private String status;
}
