/*
 * Copyright [2022] [https://www.xiaonuo.vip]
 *
 * Snowy采用APACHE LICENSE 2.0开源协议，您在使用过程中，需要注意以下几点：
 *
 * 1.请不要删除和修改根目录下的LICENSE文件。
 * 2.请不要删除和修改Snowy源码头部的版权声明。
 * 3.本项目代码可免费商业使用，商业使用请保留源码和相关描述文件的项目出处，作者声明等。
 * 4.分发源码时候，请注明软件出处 https://www.xiaonuo.vip
 * 5.不可二次分发开源参与同类竞品，如有想法可联系团队xiaonuobase@qq.com商议合作。
 * 6.若您的项目无法满足以上几点，需要更多功能代码，获取Snowy商业授权许可，请在官网购买授权，地址为 https://www.xiaonuo.vip
 */
package vip.xiaonuo.biz.modular.bizpipeplan.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import vip.xiaonuo.biz.modular.bizpipeplan.entity.BizPipePlan;
import vip.xiaonuo.biz.modular.bizpipeplan.param.BizPipePlanAddParam;
import vip.xiaonuo.biz.modular.bizpipeplan.param.BizPipePlanEditParam;
import vip.xiaonuo.biz.modular.bizpipeplan.param.BizPipePlanIdParam;
import vip.xiaonuo.biz.modular.bizpipeplan.param.BizPipePlanPageParam;

import java.util.List;

/**
 * 管桩计划Service接口
 *
 * @author fanzherong
 * @date  2025/06/30 10:32
 **/
public interface BizPipePlanService extends IService<BizPipePlan> {

    /**
     * 获取管桩计划分页
     *
     * @author fanzherong
     * @date  2025/06/30 10:32
     */
    Page<BizPipePlan> page(BizPipePlanPageParam bizPipePlanPageParam);

    /**
     * 添加管桩计划
     *
     * @author fanzherong
     * @date  2025/06/30 10:32
     */
    void add(BizPipePlanAddParam bizPipePlanAddParam);

    /**
     * 编辑管桩计划
     *
     * @author fanzherong
     * @date  2025/06/30 10:32
     */
    void edit(BizPipePlanEditParam bizPipePlanEditParam);

    /**
     * 删除管桩计划
     *
     * @author fanzherong
     * @date  2025/06/30 10:32
     */
    void delete(List<BizPipePlanIdParam> bizPipePlanIdParamList);

    /**
     * 获取管桩计划详情
     *
     * @author fanzherong
     * @date  2025/06/30 10:32
     */
    BizPipePlan detail(BizPipePlanIdParam bizPipePlanIdParam);

    /**
     * 获取管桩计划详情
     *
     * @author fanzherong
     * @date  2025/06/30 10:32
     **/
    BizPipePlan queryEntity(String id);

    /**
     * 结束管桩计划
     * @param bizPipePlanEditParam
     */
    void endPlan(BizPipePlanEditParam bizPipePlanEditParam);

    /**
     * 查询管桩预约列表
     */
    List<BizPipePlan> getList();
}
