/*
 * Copyright [2022] [https://www.xiaonuo.vip]
 *
 * Snowy采用APACHE LICENSE 2.0开源协议，您在使用过程中，需要注意以下几点：
 *
 * 1.请不要删除和修改根目录下的LICENSE文件。
 * 2.请不要删除和修改Snowy源码头部的版权声明。
 * 3.本项目代码可免费商业使用，商业使用请保留源码和相关描述文件的项目出处，作者声明等。
 * 4.分发源码时候，请注明软件出处 https://www.xiaonuo.vip
 * 5.不可二次分发开源参与同类竞品，如有想法可联系团队xiaonuobase@qq.com商议合作。
 * 6.若您的项目无法满足以上几点，需要更多功能代码，获取Snowy商业授权许可，请在官网购买授权，地址为 https://www.xiaonuo.vip
 */
package vip.xiaonuo.biz.modular.bizprocess.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import vip.xiaonuo.biz.modular.bizprocess.entity.BizProcessNode;
import vip.xiaonuo.biz.modular.bizprocess.param.BizProcessNodeAddParam;
import vip.xiaonuo.biz.modular.bizprocess.param.BizProcessNodeEditParam;
import vip.xiaonuo.biz.modular.bizprocess.param.BizProcessNodeIdParam;
import vip.xiaonuo.biz.modular.bizprocess.param.BizProcessNodePageParam;

import java.util.List;

/**
 * 工序节点Service接口
 *
 * @author fanzherong
 * @date  2025/05/29 15:09
 **/
public interface BizProcessNodeService extends IService<BizProcessNode> {

    /**
     * 获取工序节点分页
     *
     * @author fanzherong
     * @date  2025/05/29 15:09
     */
    Page<BizProcessNode> page(BizProcessNodePageParam bizProcessNodePageParam);

    /**
     * 添加工序节点
     *
     * @author fanzherong
     * @date  2025/05/29 15:09
     */
    void add(BizProcessNodeAddParam bizProcessNodeAddParam);

    /**
     * 编辑工序节点
     *
     * @author fanzherong
     * @date  2025/05/29 15:09
     */
    void edit(BizProcessNodeEditParam bizProcessNodeEditParam);

    /**
     * 删除工序节点
     *
     * @author fanzherong
     * @date  2025/05/29 15:09
     */
    void delete(List<BizProcessNodeIdParam> bizProcessNodeIdParamList);

    /**
     * 获取工序节点详情
     *
     * @author fanzherong
     * @date  2025/05/29 15:09
     */
    BizProcessNode detail(BizProcessNodeIdParam bizProcessNodeIdParam);

    /**
     * 获取工序节点详情
     *
     * @author fanzherong
     * @date  2025/05/29 15:09
     **/
    BizProcessNode queryEntity(String id);
}
