/*
 * Copyright [2022] [https://www.xiaonuo.vip]
 *
 * Snowy采用APACHE LICENSE 2.0开源协议，您在使用过程中，需要注意以下几点：
 *
 * 1.请不要删除和修改根目录下的LICENSE文件。
 * 2.请不要删除和修改Snowy源码头部的版权声明。
 * 3.本项目代码可免费商业使用，商业使用请保留源码和相关描述文件的项目出处，作者声明等。
 * 4.分发源码时候，请注明软件出处 https://www.xiaonuo.vip
 * 5.不可二次分发开源参与同类竞品，如有想法可联系团队xiaonuobase@qq.com商议合作。
 * 6.若您的项目无法满足以上几点，需要更多功能代码，获取Snowy商业授权许可，请在官网购买授权，地址为 https://www.xiaonuo.vip
 */
package vip.xiaonuo.biz.modular.bizship.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import vip.xiaonuo.biz.modular.bizship.entity.BizShip;
import vip.xiaonuo.biz.modular.bizship.param.*;

import java.util.List;

/**
 * 船舶管理Service接口
 *
 * @author fanzherong
 * @date  2025/07/12 15:32
 **/
public interface BizShipService extends IService<BizShip> {

    /**
     * 获取船舶管理分页
     *
     * @author fanzherong
     * @date  2025/07/12 15:32
     */
    Page<BizShip> page(BizShipPageParam bizShipPageParam);

    /**
     * 添加船舶管理
     *
     * @author fanzherong
     * @date  2025/07/12 15:32
     */
    void add(BizShipAddParam bizShipAddParam);

    /**
     * 编辑船舶管理
     *
     * @author fanzherong
     * @date  2025/07/12 15:32
     */
    void edit(BizShipEditParam bizShipEditParam);

    /**
     * 删除船舶管理
     *
     * @author fanzherong
     * @date  2025/07/12 15:32
     */
    void delete(List<BizShipIdParam> bizShipIdParamList);

    /**
     * 获取船舶管理详情
     *
     * @author fanzherong
     * @date  2025/07/12 15:32
     */
    BizShip detail(BizShipIdParam bizShipIdParam);

    /**
     * 获取船舶管理详情
     *
     * @author fanzherong
     * @date  2025/07/12 15:32
     **/
    BizShip queryEntity(String id);

    /**
     * 获取船型下拉
     */
    List<BizShipValue> getShipTypeList();

    /**
     * 个人长期船舶
     */
    BizShip getShip();
}
