/*
 * Copyright [2022] [https://www.xiaonuo.vip]
 *
 * Snowy采用APACHE LICENSE 2.0开源协议，您在使用过程中，需要注意以下几点：
 *
 * 1.请不要删除和修改根目录下的LICENSE文件。
 * 2.请不要删除和修改Snowy源码头部的版权声明。
 * 3.本项目代码可免费商业使用，商业使用请保留源码和相关描述文件的项目出处，作者声明等。
 * 4.分发源码时候，请注明软件出处 https://www.xiaonuo.vip
 * 5.不可二次分发开源参与同类竞品，如有想法可联系团队xiaonuobase@qq.com商议合作。
 * 6.若您的项目无法满足以上几点，需要更多功能代码，获取Snowy商业授权许可，请在官网购买授权，地址为 https://www.xiaonuo.vip
 */
package vip.xiaonuo.biz.modular.bizsupplier.entity;

import com.baomidou.mybatisplus.annotation.*;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Getter;
import lombok.Setter;
import vip.xiaonuo.common.pojo.CommonEntity;

import java.util.Date;

/**
 * 供应商运输管理实体
 *
 * @author fanzherong
 * @date  2025/05/29 14:47
 **/
@Getter
@Setter
@TableName("biz_supplier_transport")
public class BizSupplierTransport extends CommonEntity {

    /** 主键ID */
    @TableId
    @Schema(description = "主键ID")
    private String id;

    /** 供应商id */
    @Schema(description = "供应商id")
    private String supplierId;

    /** 运输类型  1：汽运  2：船运 */
    @Schema(description = "运输类型  1：汽运  2：船运")
    private String transportType;

    /** 运输号（车牌号或者船舶号） */
    @Schema(description = "运输号（车牌号或者船舶号）")
    private String transportNo;

    /** 审核状态 */
    @Schema(description = "审核状态")
    private String auditStatus;

    /** 审核时间 */
    @Schema(description = "审核时间")
    private Date auditTime;

    /** 审核说明 */
    @Schema(description = "审核说明")
    private String auditReason;

}
